Package org.apache.lucene.monitor

## Class TermFilteredPresearcher.BytesRefHashIterator

- java.lang.Object
- - org.apache.lucene.monitor.TermFilteredPresearcher.BytesRefHashIterator

- All Implemented Interfaces:
    `BytesRefIterator`
  Enclosing class:
    TermFilteredPresearcher

      protected class TermFilteredPresearcher.BytesRefHashIterator
      extends Object
      implements BytesRefIterator

  Implements a `BytesRefIterator` over a `BytesRefHash`

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.BytesRefIterator

      `EMPTY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BytesRef` | `next()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### next

          public BytesRef next()

      Specified by:
        `next` in interface `BytesRefIterator`